﻿

(function () {

    var WebApi = global.WebApi, netStatus = global.netStatus,
    localCache = global.cache, dbCache = global.dbCache, loadStatus = global.status, query = global.query;

    //焦点图显示
    window.focusFadeIn = function (obj) {
        obj.style.width = document.body.clientWidth + "px";
        var $obj = $(obj);
        $obj.parents(".focusImgLi").addClass("black");
        $("#focusImgs").css("height", $obj.height() + "px");
        $obj.siblings(".focusImgTitle").css("display", "block");
        global.fadeIn(obj);
    };
    //列表插图加载失败
    window.listImgError = function (obj) {
        var p = obj.parentNode;
        p.className = p.className + " noImg";
    }
    //列表插图显示
    window.listImgFadeIn = function (obj) {
        var p = obj.parentNode;
        p.className = p.className.replace(/(?:^|\s+)preLoad(?=$|\s)/g, "");


        if (obj.className == "pushImg") {
            var w = obj.width, ww = parseInt(window.winWidth) - 16;
            obj.style.width = (w > ww ? ww : w) + "px";
        }

        global.fadeIn(obj);
    };

    //列表类
    function ListLoader(isNeedFocus, containerObj, tplStr, focusContainerObj, ftype, stype) {
        var t = this;
        t.mark = "";            //更新凭据
        t.preload = true;       //是否需要预加载
        t.firstRecord = 20;     //初次获取数据条数
        t.container = containerObj || document.getElementById("listUl"); //父容器
        t.moreButton = $("#moreBtnDiv").find("a"); //更多按钮

        t.k = "";
        t.kw = "";
        t.ftype = ftype || global.ftype;
        t.stype = stype || global.stype;

        t.needFocus = isNeedFocus || false;
        t.interFace = "INewsList.ashx?cb=?"; // + location.href.replace(/^[^?]+/, "") INewsList.ashx?t=-1&k=-1&n=0;
        t.url = global.R + t.interFace;
        t.idPrefix = "listdata_";
        t.recordvisited = true;
        t.visitedrecord = t.idPrefix + "visitedrecord";
        t.linkTo = "newscontent.html?t=<#=tid#>&id=<#=id#>";
        t.linkTo2 = "newsspectopic.html?sp=<#=sp#>&t=<#=t#>";
        t.tpl = tplStr || '<li class="newsListItem <@=liveLi@> <@=spec@>">\
                    <a class="newsListLink <#=visited#>" href="<#=linkTo#>" id="<#=idPrefix#><#=tid#>_<#=id#>" target="_blank">\
                        <span class="newsListImgDiv preLoad noImg<#=i#>"><img src="<#=preI#><#=i#>" style="display:none;" onload="listImgFadeIn(this)" onerror="listImgError(this)" /></span>\
                        <strong class="newsListTitle color-282828"><#=t#><img class="liveIcon" src="../Css/images/livingIcon.png" /><img class="specIcon" src="../Css/images/specIcon.png" /></strong>\
                        <p class="newsListSub color-777"><#=s#></p>\
                    </a>\
                </li>';
        t.focusContainer = focusContainerObj || document.getElementById("focusImgUl");
        t.focusTpl = '<li class="focusImgLi">\
                    <a href="<#=linkTo#>" target="_blank" id="' + t.idPrefix + '<#=tid#>_<#=id#>">\
                        <span class="focusImgTitle"><#=t#></span>\
                        <img src="<#=i#>" style="display:none;" onload="focusFadeIn(this)" />\
                    </a>\
                </li>';
        t.emptyTpl = '<li class="newsListEmpty">对不起，暂无数据</li>';
        t.noCDN = false;
    }
    window.ListLoader = ListLoader;
    $.extend(ListLoader.prototype, {
        set: function () {
            var t = this;
            if (arguments.length == 1 && typeof arguments[0] == "object") {
                var setting = arguments[0];
                for (var i in setting) {
                    if (i in t) { t[i] = setting[i]; }
                }
            }
            else if (arguments.length == 2 && arguments[0] in t) { t[arguments[0]] = arguments[1]; }
            return t;
        },
        init: function () {
            var t = this, key = t.getKey();
            t.tpl = t.tpl.replace(/<#=idPrefix#>/g, t.idPrefix || "");

            //断网时读取缓存数据
            if (netStatus == 0) {
                var data = dbCache(key) || false;
                if (data) {
                    data = JSON.parse(data);
                    t.maxMark = data.max;
                    t.minMark = data.min;
                    t.createView(data.d, loadStatus.Cache);
                } else {
                    global.to404();
                }
            }


            var result = dbCache(t.prefix + "preload") || false;
            if (result) {
                dbCache(t.prefix + "preload", "");
                result = JSON.parse(result);

                t.mark = result.r[1];
                t.createView(result, loadStatus.First);
                t.setMore(status, result.r[2]);
                setTimeout(function () { t.load(loadStatus.Preload); }, 2000);
            } else
                t.load(loadStatus.First);


            $(".newsListLink").live("click", function (e) {
                var obj = this;
                setTimeout(function () {
                    var key = t.visitedrecord, visited = dbCache(key), id = obj.id.replace(t.idPrefix, ""), r = RegExp("(?:^|,)" + id + "(?:,|$)", "g");

                    if (!visited || !r.test(visited)) {
                        var visitedIds = [];
                        if (visited) {
                            visitedIds = visited.split(",");
                            if (visitedIds.length > 100) {
                                visitedIds.shift();
                            }
                        }
                        visitedIds.push(id);
                        dbCache(key, visitedIds.join(","), "check");
                    }

                }, 0);
            });


            $(".newsListLink").hover("active");

            t.moreButton.length > 0 && t.moreButton.hover("active").click(function () {
                var obj = $(t.container), preData = obj.data("preload");
                if (preData) {
                    var newList = $(preData);
                    obj.append(newList);
                    if (t.remain > 0)
                        t.load(loadStatus.Preload);
                } else {
                    t.load(loadStatus.Nextpage);
                }
                $(this).parent().css("display", "none");
                return false;
            });

            /*
            if (t.ftype == 28) {
            $.getJSON("http://xuan.3g.cn/res/Finance.ashx?cb=?", {}, function (r) {
            var nm = ["沪指", "深指"];

            var financeTpl = '<li class="<#=UorD#>">\
            <a href="" target="_blank">\
            <#=nm#><span class="total"><#=si#></span>\
            <span class="gp"><#=gp#></span>\
            </a>\
            </li>',
            financeTplContainer = ['<div id="financeDiv" class="financeDiv"><ul>', '</ul></div>'];
            var financeTemp = [];
            for (var i = 0, l = r.length; i < l; i++) {
            var rI = r[i];
            var htmls = financeTpl.replace(/<#=nm#>/g, nm[i] || "").replace(/<#=UorD#>/g, (rI.gb > 0) ? "up" : "down");
            financeTemp.push(global.parseTplByFunc(htmls, rI));
            }
            $(t.container).before([financeTplContainer[0], financeTemp.join(""), financeTplContainer[1]].join(""));
            }, function () { });
            }
            */
            return t;
        },
        setMore: function (status, remain) {
            var more = Math.min(8, remain), obj = this.moreButton;
            if (!loaded) {
                if (status == loadStatus.Latest)
                    obj.html("正在检查最新...");
                else if (status == loadStatus.Preload)
                    obj.html("数据加载中...");
                else
                    obj.html("正在载入...");
                return;
            }
            if (status == loadStatus.Latest) {
                more = 8;
            }
        },
        getKey: function () {
            var t = this;
            return t.idPrefix + t.ftype + "_" + t.stype;
        },
        load: function (status) {
            var t = this;
            var jsonFunc = t.noCDN ? $.getJSONnoCDN : $.getJSON;
            jsonFunc(t.url, (t.kw == "") ? { t: t.ftype, st: t.stype, n: t.mark, hit: 1, k: t.k || ""} : { kw: t.kw, n: t.mark }, function (result) {
                var remain = result.r[1];
                t.remain = remain;
                t.mark = result.r[0];

                if (t.preload && status == loadStatus.First) {
                    t.cacheLen = remain;
                }
                else if (t.preload && status == loadStatus.Preload) {
                    var a = remain;
                    remain = t.cacheLen;
                    t.cacheLen = a;
                }

                t.createView(result, status);

                if (t.preload && (status == loadStatus.Latest ||
                    (remain > 0 && (status == loadStatus.Nextpage || status == loadStatus.First)))) {
                    setTimeout(function () { t.load(loadStatus.Preload); }, 2000);
                }

            });

            return this;
        },
        createView: function (data, status) {
            var t = this, info, list = data && data.d, l = list.length, f = data.p, linkTo = t.linkTo, linkTo2 = t.linkTo2;
            t.tpl = t.tpl.replace(/<#=preI#>/g, (data.i) ? data.i : "");

            if (t.needFocus && t.focusContainer && f && f.length) {
                console.log("needFocus");
                var fl = f.length, fTpl = t.focusTpl, focusTemp = [];
                for (var i = 0; i < fl; i++) {
                    var fi = f[i], visited = dbCache(t.visitedrecord), r = RegExp("(?:^|,)" + fi.tid + "_" + fi.id + "(?:,|$)", "g");

                    if (!visited || !r.test(visited)) {
                        var ft = fTpl.replace(/<#=linkTo#>/, (fi.id.toString().indexOf("http") == -1) ? linkTo : "<#=id#>");
                        focusTemp.push(global.parseTplByFunc(ft, fi));
                        break;
                    }
                }
                if (focusTemp < 1) {
                    var ft = fTpl.replace(/<#=linkTo#>/, (f[0].id.toString().indexOf("http") == -1) ? linkTo : "<#=id#>");
                    focusTemp.push(global.parseTplByFunc(ft, f[0]))
                }

                $("#focusImgUl").html(focusTemp.join(""));
                $("#focusImgs").css("height", (7 * window.winWidth / 16) + "px");


                $.getJSONnoCDN("http://live.bg.3g.net.cn:88/goscore/Livedata/ProgramList.ashx?cb=?&live=1", {}, function (liveResult) {
                    var d = liveResult.d;
                    if (d) {
                        var liveTpl = '<li>\
                            <a href="../live/liveroom/liveroom.html?lid=<#=id#>&ty=<#=ty#>&nm=<#=n#>&c=0" target="_blank">\
                            <div class="icon"><#=t#></div>\
                            <img src="../Css/images/livingIcon.png" />\
                            <strong class="title"><#=n#></strong>\
                            <p class="sub"><#=p#></p>\
                            </a>\
                        </li>',
                        tplContainer = ['<div id="liveDiv" class="liveDiv"><ul>', '</ul></div>'];
                        var liveTemp = [];
                        for (var i = 0, liveLength = d.length; i < liveLength; i++) {
                            liveTemp.push(global.parseTplByFunc(liveTpl, d[i]));
                        }
                        if (liveLength > 0) {
                            var focusImgs = $("#focusImgs");
                            if (liveLength > 2) {
                                focusImgs.after([tplContainer[0], liveTemp.join(""), liveTemp.join(""), tplContainer[1]].join(""));
                                var liveUl = $("#liveDiv").find("ul");
                                var liveLiHeight = liveUl.find("li").outerHeight();
                                var runTime = 0;
                                var run = function () {
                                    setTimeout(function () {
                                        liveUl.animate({ marginTop: "-=" + liveLiHeight + "px" }, 500, function () {
                                            runTime++;
                                            if (runTime == liveLength) {
                                                liveUl.css("marginTop", 0);
                                                runTime = 0;
                                            }
                                            run();
                                        });
                                    }, 2500);
                                }
                                run();
                            }
                            else {
                                focusImgs.after([tplContainer[0], liveTemp.join(""), tplContainer[1]].join(""));
                            }
                            $("#liveDiv").find("a").hover("active");
                        }
                    }
                });
            }

            if (l > 0) {
                var temp = [], tplStr = t.tpl, visited = dbCache(t.visitedrecord);
                for (var i = 0; i < l; i++) {
                    var listI = list[i], r = RegExp("(?:^|,)" + listI.tid + "_" + listI.id + "(?:,|$)", "g"), isVisited = (visited) ? r.test(visited) : false;

                    var isSpec = listI.sp > 0, listIid = listI.id.toString();

                    var ts = tplStr.replace(/<#=linkTo#>/, isSpec ? linkTo2 : (listIid.indexOf("http") == -1 ? linkTo.replace(/<#=id#>/.listIid) : listIid))
                    .replace(/<#=visited#>/, isVisited ? "visited" : "");
                    var liveKey = false;
                    var html = global.parseTplByFunc(ts, listI).replace(/href="http:[^"]+"/g, function (s) {
                        if (s.indexOf("live.3g.cn") != -1 || s.indexOf("xlive.3g.cn") != -1) {
                            var liveid = s.match(/(?:\?|&|&amp;)liveid=(.+?)(?=&|$|")/);
                            liveKey = true;
                            return liveid ? 'href="../live/liveroom/liveroom.html?lid=' + liveid[1] + '"' : '';
                        }
                        return s;
                    });
                    temp.push(html.replace(/<@=liveLi@>/, function () {
                        if (liveKey) {
                            return "liveLi";
                        }
                        return ""
                    })
                    .replace(/<@=spec@>/, function () {
                        return isSpec ? "spec" : "";
                    }));
                }

                info = temp.join("");
                if (t.kw) {
                    
                   //alert(info);
				   if(t.kw.indexOf("h")>-1||t.kw.indexOf("t")>-1||t.kw.indexOf("m")>-1||t.kw.indexOf("w")>-1)
				   {
					    info=info;
				   }
				   else
				   {
                      info = info.replace(new RegExp(t.kw, "gi"), function (kw) 
					  {
                         return '<span class="hl">' + kw + '</span>';
                      });  
				   }
                }
            } else if (status == loadStatus.First) {
                info = t.emptyTpl;
            }

            var container = $(t.container);
            if (status == loadStatus.First || status == loadStatus.Cache) {
                //container.empty().append(info);
                var newList = $(info).css("display", "none");
                container.empty().append(newList);
                global.shutter(newList.get());
                setTimeout(function () {
                    WebApi && WebApi.hideLoadingProgress && WebApi.hideLoadingProgress();
                }, 100);
            } else if (status == loadStatus.Nextpage) {
                container.append(info);
            } else if (status == loadStatus.Preload) {
                container.data("preload", info);
                if (l > 0)
                    t.moreButton.parent().css({ display: "block" });
                return;
            }
        }
    });

    //内容类
    function ContentLoader(id, ftype, stype) {
        var t = this;
        t.id = id;
        t.ftype = ftype || global.ftype;
        t.stype = 0; //内容页为0
        t.mark = "";
        t.isSham = false; //禁评
        t.onLoaded = global.emptyFun; //数据加载完毕触发该事件
        t.interFace = "INewsContent.ashx?cb=?";
        t.url = global.R + t.interFace;
        t.prefix = "newscontent_";
        t.tpl = '<h1 id="conTitle" class="newsConTitle"><#=t#></h1>\
                <div class="con-desc">\
                    <span class="con-time"><#=ti#></span>\
                    <#if(obj.s){#>\
                    <span class="con-souce">来源:<#=s#></span>\
                    <#}#>\
                </div>\
                <#if(obj.su){#>\
                    <div class="con-su"><span class="fw-bold">[导读]&nbsp;</span><#=su#></div>\
                <#}#>\
                <div class="con-content"><#=c#></div>\
                <dl class="groupStyle">\
                    <dt style="display:none">G动调查</dt>\
                    <dd style="display:none" id="voteContainer">\
                    </dd>\
                    <# if(obj.rc && obj.rc.length){ #>\
                        <dt>相关新闻</dt>\
                        <dd>\
                        <ul class="con-rc">\
                            <# for(var i = 0; i< obj.rc.length; i++){ #>\
                                <li>\
                                    <a class="arrowRight" href="newscontent.html?id=<#=rc[i][0]#>&t=' + t.ftype + '&st=' + t.stype + '" target="_blank"><#=rc[i][1]#></a></li>\
                            <#}#>\
                        </ul>\
                        </dd>\
                    <#}#>\
                        <dt id="con_pl_<#=pi#>" class="con-pl-title">G友热评</dt>\
                        <dd>\
                        <ul id="commentMain"  class="con-pl-content"><li class="com-empty">正在载入...</li></ul>\
                        </dd>\
                </dl>';



        switch (t.ftype) {
            case "18":
                t.voteUrl = "http://120.193.11.61:8080/gon/Interface/INewsVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.193.11.61:8080/gon/Interface/INewsSaveVote.ashx?cb=?";
                break;
            case "28":
                t.voteUrl = "http://120.193.11.61:8080/gof/Interface/IFinanceVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.193.11.61:8080/gof/Interface/INewsSaveVote.ashx?cb=?";
                break;
            case "10":
                t.voteUrl = "http://120.197.85.66/gos/Interface/ISportsVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.197.85.66/gos/Interface/ISportsSaveVote.ashx?cb=?";
                break;
            case "74":
                t.voteUrl = "http://120.197.85.66/goc/Interface/ISportsVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.197.85.66/goc/Interface/ISportsSaveVote.ashx?cb=?";
                break;
            case "21":
                t.voteUrl = "http://120.197.85.66/gon/Interface/ISportsVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.197.85.66/gon/Interface/ISportsSaveVote.ashx?cb=?";
                break;
            case "11":
                t.voteUrl = "http://120.197.85.66/goe/Interface/IEntVote.ashx?cb=?";
                t.saveVoteUrl = "http://120.197.85.66/goe/Interface/IEntSaveVote.ashx?cb=?";
                break;
            default: break;
        }


        t.voteTpl = '<dt><label><input type="radio" name="vote"/><#=t#></label></dt>\
        <dd id="li_<#=id#>">\
        <p><span class="v"><#=n#></span>票 (<span class="p"></span>%)</p>\
        <div class="progress" percent="<#=p#>" vote="<#=n#>"></div>\
        </dd>';
        t.voteTpl2 = '<dl class="voteContainer"><strong><#=t#></strong><#=tpl#></dl>';

        t.voteContainerId = "voteContainer";
        t.noCDN = false;
    }
    window.ContentLoader = ContentLoader;
    $.extend(ContentLoader.prototype, {
        init: function () {
            var t = this, id = t.id, key = t.getKey(id);

            window.onReload = function () {

                var size = global.config.size();
                t.fontSizeIndex = size;
                var fontCon = $("#conMain").find(".con-content");
                if (size == 1) {
                    fontCon.css({ fontSize: 19, lineHeight: "28px" });
                } else if (size == 3) {
                    fontCon.css({ fontSize: 12, lineHeight: "19px" });
                } else {
                    fontCon.css({ fontSize: 16, lineHeight: "24px" });
                }

                if (t.commentLoader) {
                    t.commentLoader.mark = "";
                    t.commentLoader.load(loadStatus.First);
                }
            }
            $(".con-rc").find("a").hover("active");

            var data = dbCache(key) || false;

            if (data) {
                /*if (netStatus == 0) {
                if (WebApi && WebApi.nopageBgDisp) { WebApi.nopageBgDisp(); }
                else { global.showInfo("无网络连接!"); }
                }*/
                data = JSON.parse(data);
                if (data.d) {
                    if (!(data.d instanceof Array)) {
                        data.d = [data.d];
                    }
                    t.createView(data.d[0], loadStatus.Cache);
                }
                else
                    t.load(loadStatus.First);
            } else if (netStatus == 0) {
                global.to404();
            } else {
                t.load(loadStatus.First);
            }
            return t;
        },
        getKey: function (id) {
            var t = this;
            return t.prefix + t.ftype + "_" + t.stype + "_" + id;
        },
        load: function (status) {
            var t = this, id = t.id;
            if (id) {
                $.getJSON(t.url, { id: id, t: t.ftype, st: t.stype, n: t.mark }, function (result) {
                    if (result) {
                        //处理图片问题
                        if (result.i) {
                            result.c = ["<p>", result.c.replace(/<img\s+?src=\"([^:]+?)(\"|').*?>/ig,
                            function (str) {
                                var link = RegExp.$1;
                                return "</p>" + str.replace(link, result.i + link) + "<p>";
                            }), "</p>"].join("");
                        }
                        var num = 0;
                        if (result.tp && result.tp.c && result.tp.c.length > 0) {
                            for (var i = 0; i < result.tp.c.length; i++) {
                                num += data.tp.c[i].n;
                            }
                        }
                        result.num = num;
                        t.createView(result, status);
                    } else {
                        WebApi && WebApi.hideLoadingProgress && WebApi.hideLoadingProgress();
                        if (WebApi && WebApi.nopageBgDisp) { WebApi.nopageBgDisp(); }
                        else { global.showInfo("当前文章不存在或已经删除"); }
                    }
                }, function () {
                    if (status == loadStatus.First) {
                        WebApi && WebApi.hideLoadingProgress && WebApi.hideLoadingProgress();
                        if (WebApi && WebApi.nopageBgDisp) { WebApi.nopageBgDisp(); }
                        else { global.showInfo("获取文章出错,请检查网络!"); }
                    }
                });
            } else {
                global.showInfo("传递ID无效:" + id);
                return;
            }
        },
        createView: function (data, status) {
            if (data) {
                var t = this, content = t.content, key = t.getKey(t.id),
                 msg = $('<div class="index-bottom"><a class="moreBtn" id="more" href="#">查看余下内容</a></div>');

                if (data.t != undefined && (status == loadStatus.First || status == loadStatus.Cache)) {
                    $("#conMain").css("display", "none").html(global.parseTplByFunc(t.tpl, data).replace(/src=/i, "xsrc=")).fadeIn();
                    var conTime = $(".con-time");
                    conTime.html(conTime.html().replace(/(\d{1,2})\/(\d{1,2})\/(\d{4})\s+(.+)$/, function (_, m, d, y, t) {
                        return y + "/" + m + "/" + d + " " + t;
                    }));
                    content = t.content = $(".con-content");
                    t.innerWidth = content.innerWidth() - parseInt(content.css("padding-left").replace("px", "")) - parseInt(content.css("padding-right").replace("px", ""));

                    t.isSham = (data.nc === true);

                    //主数据存储
                    if (status == loadStatus.First) {
                        dbCache(key, JSON.stringify({ d: [data], t: new Date() }), false);
                    }
                    if (data.n != -1) {
                        content.append(msg).find("#more").hover("active").click(function (e) {
                            if (e && e.stopPropagation) {
                                e.stopPropagation();
                            } else {
                                window.event.cancelBubble = true;
                            }
                            try {
                                var parent = $(this).html("正在载入...").parent(), value = parent.data["preload"];
                                if (value) {
                                    var beforeElems = value.children().unwrap();
                                    parent.before(beforeElems);
                                    parent.remove();
                                } else {
                                    parent.data["preload"] = true;
                                }

                                if (t.imgNoLoading) {
                                    //global.testMsg(beforeElems);
                                    var $nextPageImg = beforeElems.filter(".con-imgstyle").eq(0).children("img");
                                    if ($nextPageImg.attr("loaded") == "1") {
                                        showImg($nextPageImg);
                                    } else if ($nextPageImg.length > 0) {
                                        $nextPageImg[0].addEventListener("load", function () {
                                            showImg($nextPageImg);
                                        }, false);
                                    }
                                }
                            }
                            catch (e) {
                                //global.testMsg(e.message);
                            }
                            return false;
                        });
                    }
                }
                else if (status == loadStatus.Nextpage) {
                    var newContent = $("<div></div>").append(data.c), bottom = content.find(".index-bottom");
                    if (bottom.data["preload"]) {
                        bottom.before(newContent);
                        bottom.remove();
                    } else {
                        bottom.data["preload"] = newContent;
                    }

                    content = newContent;

                    //保存分页数据
                    try {
                        var value = JSON.parse(dbCache(key));
                        //value.d.c += data.c;
                        //value.d.n = data.n;
                        value.d.push(data);
                        dbCache(key, JSON.stringify(value), true);
                    } catch (e) { }
                }

                //加载分页数据
                if (data.n && data.n != -1) {
                    t.mark = data.n;
                    if (status == loadStatus.Cache) {
                        var data2 = JSON.parse(dbCache(key)).d[1];
                        setTimeout(function () { t.createView(data2, loadStatus.Nextpage); }, 1000);
                    }
                    else {
                        setTimeout(function () { t.load(loadStatus.Nextpage); }, 1000);
                    }
                }

                content.find("p:empty").remove();
                var imgMaxWidth = t.innerWidth;
                var getNextImg = function ($obj) {
                    var $nextImg = $obj.parent().nextAll(".con-imgstyle").eq(0).children("img");
                    if ($nextImg.length == 0) {
                        t.imgNoLoading = true;
                        return;
                    }
                    if ($nextImg.attr("loaded") == "1") {
                        showImg($nextImg);
                    } else {
                        var nextImg = $nextImg[0]
                        nextImg.addEventListener("load", function () {
                            showImg($nextImg);
                        }, false);
                        nextImg.addEventListener("error", function () {
                            getNextImg($nextImg);
                        }, false);
                    }

                }
                var showImg = function ($obj) {
                    $obj.parent().removeClass("preload");
                    global.fadeIn($obj, function () {
                        var $this = $(this).after("<br/>" + this.alt);
                        getNextImg($obj);
                    }, "fast");
                };
                var contImgs = $("img[class!='cont-loading']", content)
                .wrap('<div class="con-imgstyle preload"></div>')
                .bind("load", function () {
                    $(this).attr("loaded", "1");
                });
                var firstImg = "";
                if (contImgs.length > 0) {
                    contImgs.css("maxWidth", imgMaxWidth);
                    var xsrc = contImgs[0].getAttribute("xsrc");
                    firstImg = xsrc;
                    if (xsrc) {
                        contImgs.eq(0).attr("src", xsrc).load(function () {
                            showImg($(this));
                        }).error(function () {
                            getNextImg($(this));
                        });
                    }
                }



                if (loadStatus.First != status && loadStatus.Cache != status) {
                    return;
                }

                $("a", ".con-rc").click(function (e) {
                    if (e && e.stopPropagation) {
                        e.stopPropagation();
                    } else {
                        window.event.cancelBubble = true;
                    }
                });

                $(".con-rc-item").hover("item-active");

                window.onReload(); //渲染字号



                var fontCon = $("#conMain").find(".con-content"),
                fontMaxIndex = 3,
                fontSettings = [{}, { fontSize: 19, lineHeight: "28px" }, { fontSize: 16, lineHeight: "24px" }, { fontSize: 12, lineHeight: "19px"}],
                sizeName = ["", "大", "中", "小"];

                var fontZoomMsg = [];
                window.fontZoom = function (k) {
                    var FSI = t.fontSizeIndex;
                    fontZoomMsg.shift();
                    if (k > 0) {
                        if (FSI > 1) {
                            fontCon.css(fontSettings[--FSI]);
                            global.config.size(FSI);
                            t.fontSizeIndex = FSI;
                            fontZoomMsg.push("文章字体已调整为:" + sizeName[FSI]);
                        } else {
                            fontZoomMsg.push("文章字体已设置为最大");
                        }
                    }
                    else {
                        if (FSI < fontMaxIndex) {
                            fontCon.css(fontSettings[++FSI]);
                            global.config.size(FSI);
                            t.fontSizeIndex = FSI;
                            fontZoomMsg.push("文章字体已调整为:" + sizeName[FSI]);
                        }
                        else {
                            fontZoomMsg.push("文章字体已设置为最小");
                        }
                    }
                    setTimeout(function () {
                        var msg = fontZoomMsg.pop();
                        if (msg) { global.showInfo(msg); }
                    }, 1500)
                }

                //隐藏loading
                setTimeout(function () {
                    WebApi && WebApi.hideLoadingProgress && WebApi.hideLoadingProgress();
                }, 100);

                if (!/drive=1/ig.test(location.href)) {
                    //分享
                    WebApi && WebApi.Share && WebApi.Share(data.t, data.sh.replace("{id}", t.id), firstImg, t.ftype, t.id);
                }


                //无网络时不加载评论
                if (netStatus == 0) {
                    $(".con-pl-title,.con-pl-content").hide();
                    return;
                }

                //投票
                var vId;
                if (vid = data.vi) {
                    (function () {
                        $.getJSON(t.voteUrl, { v: vid }, function (result) {
                            var _t = t;
                            var voteList = result.c, l = voteList.length, allVote = 0;
                            if (l == 0) {
                                return;
                            }
                            for (var i = 0; i < l; i++) {
                                allVote += voteList[i].n;
                            }
                            var tpls = [];
                            for (i = 0; i < l; i++) {
                                var voteListI = voteList[i];
                                tpls.push(_t.voteTpl.replace(/<#=p#>/g, Math.round(voteListI.n * 100 / allVote)).replace(/<#=([^#]+)#>/g, function (_, k) {
                                    if (k in voteListI) {
                                        return voteListI[k];
                                    }
                                    return "";
                                }));
                            }
                            var voteC = $("#" + _t.voteContainerId);
                            voteC.html(_t.voteTpl2.replace(/<#=t#>/g, result.t).replace(/<#=tpl#>/g, tpls.join("")));
                            voteC.css("display", "block").prev().css("display", "block")
                            .end().find("label").hover("active").find("input").change(function () {
                                allVote += 1;
                                var $this = $(this).parents("dt").next("dd"), itemid = this.id.replace("li_", ""), $progress = $this.find(".progress"), v = parseInt($progress.attr("vote")) + 1;
                                $progress.attr("vote", v).prev().find(".v").html(v);
                                setTimeout(function () {
                                    $this.parent().addClass("voted").find("input").attr("disabled", true);
                                    voteC.find(".progress").each(function () {
                                        var $this = $(this), v = $this.attr("vote"), p = Math.round(v * 100 / allVote);
                                        $this.attr("percent", p).prev().find(".p").html(p);
                                        $this.stop().animate({ width: this.getAttribute("percent") + "%" }, "normal");

                                    });
                                }, 500);

                                $.getJSON(t.saveVoteUrl, { vwcid: vid, voteitem: itemid }, function (r) {
                                    if (r || r == "true") {
                                        //global.showInfo("发表成功");
                                    } else {
                                        //global.showInfo("对不起，发表评论失败");
                                    }
                                });
                            });
                            /*$(".progress").each(function (i) {
                            $(this).animate({ width: this.getAttribute("percent") + "%" }, "normal");
                            });*/
                        });
                    })();
                }

                //评论
                var commentLoader = new CommentLoader(t.id, {
                    container: "#commentMain",
                    preload: false,
                    hasActive: true,
                    isSham: t.isSham,
                    firstRecord: 3,
                    onLoaded: function (sender, result) {
                        var th = commentLoader;
                        t.callClient.call(t, result, data.pi);
                        window.callComment = function (parentId, content) {
                            alert(parentId);
                            th.comment.call(th, parentId, content,
                                     function (result, replyTpl) {
                                         if (result) {
                                             var container = $(th.container), item = $(global.parseTplByFunc(th.tpl.replace(/<%=replyTpl%>/, replyTpl), result));
                                             container.prepend(item.show());
                                             $(".com-empty").remove();
                                             container.find(".commentli:gt(2)").remove();
                                             //th.setIcon($(".item", container));
                                             global.showInfo("发表成功");
                                         } else {
                                             global.showInfo("对不起，发表评论失败");
                                         }
                                     });
                        }
                        return true;
                    }
                }).init();
                t.commentLoader = commentLoader;
            }
        }, //客户端显示评论条数
        callClient: function (result, pid) {
            if (result.r) {
                var t = this, num = parseInt(result.r[2]), p = { t: t.ftype, st: t.stype, pid: t.id, f: "c" };
                if (t.isSham) {
                    p["issham"] = 1;
                }
                var url = "news/newscomment.html?" + $.param(p);
                WebApi && WebApi.ForContent && WebApi.ForContent(num, url);
            }
        }
    });

    //评论类
    function CommentLoader(pid, options, ftype, stype) {
        var t = this;
        t.pid = pid;                //用新闻ID来代替评论ID
        t.mark = "";                //更新凭据
        t.preload = true;           //是否需要预加载
        t.firstRecord = 20;         //初次获取数据条数
        t.container = "#commentMain"; //父容器
        t.hasActive = true;         //是否需要有顶、倒、评动作
        t.frid = /frid=(\d+)/g.test(location.href) ? RegExp.$1 : undefined;
        t.isSham = /issham=1/g.test(location.href) ? true : false;  //是否假显示
        t.moreButton = $("#moreBtnDiv").find("a"); //更多按钮
        t.onPreCreate = global.emptyFun;   //绘制内容前触发事件 返回false将阻止继续执行
        t.onCreating = global.emptyFun;    //绘制内容时触发事件 返回false将阻止继续执行
        t.onLoaded = global.emptyFun;      //加载数据后触发事件 返回false将阻止继续执行

        t.ftype = ftype || global.ftype;
        t.stype = stype || 0;



        t.prefix = "newscomment_";
        t.tpl = '<li id="comment_<#=id#>" class="commentli" data="{#id#:#<#=id#>#,#n#:#<#=n#>#,#ti#:#<#=ti#>#,#c#:#<#=c#>#,#u#:#<#=u#>#,#d#:#<#=d#>#}">\
        <p class="com-author fontSize-12 color-777"><#=n#>(<#=ti#>)说:</p>\
        <%=replyTpl%>\
        <p class="com-content"><#=c#></p>\
        <div class="com-control">\
            <div class="t-up"><div class="img"></div>顶<span class="up fontSize-12">(<#=u#>)</span></div>\
            <div class="t-down"><div class="img"></div>倒<span class="down fontSize-12">(<#=d#>)</span></div>\
            <div class="speak">回复</div>\
        </div>\
        </li>';
        t.replyTpl = '<div class="replyList"><%=floorTpl%></div>';
        t.floorTpl = '<div class="floor">\
                      <%=floor%>\
                      <span><#=f#></span>\
                      <p><#=n#>(<#=ti#>)说:</p>\
                      <p><#=c#></p>\
                      <div class="com-control">\
                        <div class="t-up">\
                          <div class="img"></div>\
                          顶<span class="up fontSize-12">(<#=u#>)</span></div>\
                        <div class="t-down">\
                          <div class="img"></div>\
                          倒<span class="down fontSize-12">(<#=d#>)</span></div>\
                        <div class="speak">回复</div>\
                      </div>\
                    </div>';
        t.floorTpl2 = '<div class="floor">\
                    <%=floor%>\
                    <a fid="<#=id#>" class="all">查看已隐藏的评论&gt;&gt;</a>\
                    </div>';
        t.emptyTpl = '<li class="com-empty">还没评论，快来第一个评论</li>';

        $.extend(this, options || {});

        switch (t.ftype) {
            case "18":
                t.url = "http://ping1.3g.cn:8080/gon/Interface/IComment.ashx?cb=?";
                t.saveUrl = "http://ping1.3g.cn:8080/gon/Interface/ISaveComment.ashx?cpt=2&cb=?";
                break;
            case "28":
                t.url = "http://ping1.3g.cn:8080/gof/Interface/IComment.ashx?cb=?";
                t.saveUrl = "http://ping1.3g.cn:8080/gof/Interface/ISaveComment.ashx?cpt=2&cb=?";
                break;
            case "10":
                t.url = "http://ping2.3g.cn/gos/Interface/IComment.ashx?cb=?";
                t.saveUrl = "http://ping2.3g.cn/gos/Interface/ISaveComment.ashx?cpt=2&cb=?";
                break;
            case "74":
                t.url = "http://ping2.3g.cn/goc/Interface/IComment.ashx?cb=?";
                t.saveUrl = "http://ping2.3g.cn/goc/Interface/ISaveComment.ashx?cpt=2&cb=?";
                break;
            case "21":
                t.url = "http://ping2.3g.cn/gon/Interface/IComment.ashx?cb=?";
                t.saveUrl = "http://ping2.3g.cn/gon/Interface/ISaveComment.ashx?cpt=2&cb=?";
                break;
            case "11":
                t.url = "http://ping2.3g.cn/goe/Interface/IComment.ashx?cb=?&frid=1";
                t.saveUrl = "http://ping2.3g.cn/goe/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=1";
                break;

            case "32":
                t.url = "http://ping1.3g.cn:8080/goa/Interface/IComment.ashx?cb=?&frid=0";
                t.saveUrl = "http://ping1.3g.cn:8080/goa/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=0";
                break;
            case "25":
                t.url = "http://ping1.3g.cn:8080/gomobile/Interface/IComment.ashx?cb=?&frid=1";
                t.saveUrl = "http://ping1.3g.cn:8080/gomobile/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=1";
                break;
            case "29":
                t.url = "http://ping1.3g.cn:8080/gomili/Interface/IComment.ashx?cb=?&frid=0";
                t.saveUrl = "http://ping1.3g.cn:8080/gomili/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=0";
                break;
            case "22":
                //t.url = "http://ping2.3g.cn/golady/Interface/IComment.ashx?cb=?&frid=0";
                t.url = "http://ping2.3g.cn/golady/Interface/IBComment.ashx?cb=?&frid=0";
                //t.url = "http://ping2.3g.cn/golady/Interface/IComment.ashx?cb=?&frid=0";
                t.saveUrl = "http://ping2.3g.cn/golady/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=0";
                break;
            case "70":
                t.url = "http://ping2.3g.cn/golove/Interface/IComment.ashx?cb=?&frid=0";
                t.saveUrl = "http://ping2.3g.cn/golove/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=0";
                break;

            case "90":
                t.url = "http://ping2.3g.cn/gogd/Interface/IComment.ashx?cb=?&frid=0";
                //t.url="http://ping2.3g.cn/gogd/Interface/IBComment.ashx?cb=?&frid=0";
                t.saveUrl = "http://ping2.3g.cn/gogd/Interface/ISaveComment.ashx?cpt=2&cb=?&frid=0";
                break;
            default: break;
        }
        t.noCDN = false;

        //绑定客户端评论回调
        window.callComment = function (parentId, content) {
            t.comment.call(t, parentId, content);
        }
    }
    window.CommentLoader = CommentLoader;
    $.extend(CommentLoader.prototype, {
        init: function () {
            var t = this;
            t.moreButton.length > 0 && t.moreButton.hover("active").click("click", function () {

                var obj = $(t.container), preData = obj.data("preload");
                if (preData) {
                    var newList = $(preData);
                    obj.append(newList);
                    if (t.remain > 0)
                        t.load(loadStatus.Preload);
                } else {
                    t.load(loadStatus.Nextpage);
                }
                $(this).parent().css("display", "none");
                return false;
            });

            var $container = $(t.container);

            //内容页不需要显示
            if (t.hasActive) {

                $container.find(".commentli").hover("active").live("click", function (e) {
                    var $this = $(e.target);
                    if ($this.hasClass("all")) { return; }
                    var handle = $this.siblings(".com-control").stop(), visible = handle.css("display");
                    $(".com-control:visible").slideUp(200);
                    if (visible == "none") {
                        handle.slideDown(300, function () {
                            var $$this = $(this);
                            var commentHeight = $$this.outerHeight();
                            var os = $this.offset();
                            var ot = os.top - document.documentElement.scrollTop;
                            var x = ot + commentHeight - (window.winHeight - 40);
                            //global.testMsg(["ot:" + ot, "ch:" + commentHeight, "wh:" + window.winHeight].join(", "));
                            if (x > 0) {
                                $("body,html").animate({ scrollTop: "+=" + x + "px" }, "fast");
                            }
                        });
                    }
                });
            }

            $container.find(".t-down,.t-up").hover("active").live("click", function (event) {
                var self = $(this), parent = self.parent().parent();

                t.save.call(t, parent, /(?:^|\s)t-down(?:\s|$)/.test(this.className) ? 2 : 1);

                self.find(".img").stop()
                .css({ opacity: 1, top: "0px", display: "inline" })
                .animate({ top: "-20px", opacity: 0.01 }, 800, function () {
                    $(this).hide();
                });

                event.stopPropagation && event.stopPropagation();

            });

            $container.find(".speak").hover("active").live("click", function () {
                var parent = $(this).parent().parent();
                t.forClient.call(t, parent);
            });


            //展示所有楼
            $("a.all").live("click", function () {
                var _this = this, $this = $(this), replyDiv = $this.parents(".replyList")[0], fid = $this.attr("fid");
                $.getJSON("http://192.168.64.22/goqiwen/Interface/ISingleBuilding.ashx?cb=?&frid=1", { pid: t.pid, t: t.ftype, tid: fid }, function (r) {
                    var Alldata = r.d, AlldataI, htmls = "<%=floor%>";

                    for (var i = 1, l = Alldata.length; i < l; i++) {
                        AlldataI = Alldata[i];
                        htmls = htmls.replace(/<%=floor%>/, createFloorHtml(AlldataI));
                    }
                    replyDiv.innerHTML = htmls.replace(/<%=floor%>/, "");
                });
            })

            t.load(loadStatus.First);

            return t;
        },
        setMore: function (status, loaded, remain) {
            /*
            var more = Math.min(20, remain), obj = this.moreButton;
            if (!loaded) {
            if (status == loadStatus.Latest)
            obj.html("正在检查最新...");
            else if (status == loadStatus.Preload)
            obj.html("数据加载中...");
            else
            obj.html("正在载入...");
            return;
            }
            if (status == loadStatus.Latest) {
            more = 20;
            }
            */
        },
        getKey: function (pid) {
            var t = this;
            return t.prefix + t.ftype + "_" + t.stype + "_" + pid;
        },
        load: function (status) {
            var t = this, pid = t.pid;
            if (pid) {
                var key = t.getKey(pid), resultFunc = function (result) {
                    var remain = result.r[1];
                    t.remain = remain;
                    t.mark = result.r[0];

                    if (t.preload && status == loadStatus.First) {
                        t.cacheLen = remain;
                    }
                    else if (t.preload && status == loadStatus.Preload) {
                        var a = remain;
                        remain = t.cacheLen;
                        t.cacheLen = a;
                    }
                    t.setMore(status, true, remain);

                    if ($.isFunction(t.onLoaded) && !t.onLoaded(this, result))
                        return this;

                    t.createView(result, status);

                    if (t.preload && (status == loadStatus.Latest ||
                    (remain > 0 && (status == loadStatus.Nextpage || status == loadStatus.First)))) {
                        setTimeout(function () { t.load(loadStatus.Preload); }, 2000);
                    }
                };

                t.setMore(status, false, 0);
                if (!t.isSham) {
                    //
                    $.getJSONnoCDN(t.url, { pid: pid, t: t.ftype, st: t.stype, n: t.mark, s: t.firstRecord, frid: t.frid, p: 1 },
                     resultFunc, function () {
                         if (status == loadStatus.First)
                             $(t.container).html('<li class="com-empty">对不起，暂时无法加载</li>');
                     });
                } else {
                    //假数据
                    setTimeout(function () { resultFunc(JSON.parse('{"r":[0,0,0],"d":[]}')); }, 0);
                }
            } else {
                global.showInfo("传递评论ID无效:" + pid);
            }
            return this;
        },
        createFloorHtml: function (dataObj, type, id) {
            var t = this, tpl = t.floorTpl;
            if (arguments.length == 3 && type == 2 && id) {
                tpl = t.floorTpl2.replace(/<#=id#>/, id);
            }
            return tpl.replace(/<#=(.+?)#>/g, function (_, i) {
                if (i in dataObj) {
                    if (i == "f" && dataObj[i] > 1) { global.showInfo(dataObj[i]); }
                    return dataObj[i];
                }
                return "";
            });
        },
        createView: function (data, status) {
            var t = this, info; list = data && data.d;

            if ($.isFunction(t.onPreCreate) && !t.onPreCreate(this, list))
                return;

            if (list && list.length > 0) {
                var temp = [], commentHtml, listI, m, dataObj, htmls, mKey, commentId, replyTpl;



                for (var i = 0; i < list.length; i++) {
                    m = list[i].m, listI = list[i].b;


                    if (listI) {
                        var lj = listI.length;
                        dataObj = listI[0], commentId = dataObj.id;

                        commentHtml = global.parseTplByFunc(t.tpl, dataObj);
                        replyTpl = "", htmls = "<%=floor%>";
                        if (lj > 1) {

                            if (m) {
                                mKey = true;
                                for (var j = 1; j < lj; j++) {
                                    if (j == 3 && mKey) {
                                        htmls = htmls.replace(/<%=floor%>/, t.createFloorHtml(dataObj, 2, commentId));
                                        j--;
                                        mKey = false;
                                    } else {
                                        dataObj = listI[j];
                                        dataObj.num = lj - j;
                                        htmls = htmls.replace(/<%=floor%>/, t.createFloorHtml(dataObj));
                                    }

                                }
                            } else {
                                for (var j = 1; j < lj; j++) {
                                    dataObj = listI[j];
                                    dataObj.num = lj - j;
                                    htmls = htmls.replace(/<%=floor%>/, t.createFloorHtml(dataObj));
                                }
                            }

                            replyTpl = t.replyTpl.replace(/<%=floorTpl%>/, htmls.replace(/<%=floor%>/, ""));
                        }


                        temp.push(commentHtml.replace(/<%=replyTpl%>/, replyTpl));
                    }
                    else {//旧接口时用
                        commentHtml = global.parseTplByFunc(t.tpl, list[i]);
                        temp.push(commentHtml.replace(/<%=replyTpl%>/, ""));
                    }
                }
                info = temp.join("");
            } else {
                info = t.emptyTpl;
            }

            if ($.isFunction(t.onCreating) && !t.onCreating(this, info))
                return;

            var container = $(t.container);
            var ramain = data ? data.r[1] : 0;
            if (status == loadStatus.First || status == loadStatus.Cache) {
                var newList = $(info).css("display", "none");
                container.empty().append(newList);
                global.shutter(newList.get());
                if (ramain > 0)
                    t.moreButton.css({ display: "block" });
                setTimeout(function () {
                    WebApi && WebApi.hideLoadingProgress && WebApi.hideLoadingProgress();
                }, 100);
            } else if (status == loadStatus.Nextpage) {
                container.append(info);
            } else if (status == loadStatus.Preload) {
                container.data("preload", info);
                if (temp.length > 0)
                    t.moreButton.parent().css({ display: "block" });
                return;
            }

        }, //发表 顶1 倒2
        save: function (parent, ty, data, func) {
            var t = this, pid = t.pid,
                parentId = ((typeof parent == "number") || (typeof parent == "string"))
                             ? parent : (parent.attr("id").split("_")[1]);
            var params = { t: t.ftype, st: t.stype, ty: ty, pid: pid, p: parentId, frid: t.frid };
            data && $.extend(params, data);
            var resultFunc = func ? func : function (result) {
                if (result) {
                    switch (ty) {
                        case 1:
                            {
                                var up = parent.find(".up");
                                up.text("(" + (parseInt(up.text().replace(/[\s\(\)]/g, "")) + 1) + ")"); break;
                            }
                        case 2:
                            {
                                var down = parent.find(".down");
                                down.text("(" + (parseInt(down.text().replace(/[\s\(\)]/g, "")) + 1) + ")"); break;
                            }
                    }
                } else {
                    global.showInfo("对不起,操作失败");
                }

            };
            if (!t.isSham) {
                $.getJSONnoCDN(t.saveUrl, params, resultFunc, function () {
                    global.showInfo("网络错误，评论发表失败，请稍后再试。");
                });
            } else {
                //todo 假数据 
                //{"id":96427816,"n":"3G网友","ti":"2011/09/23 09:53","c":"强烈支持！","u":0,"d":0}
                setTimeout(function () {
                    resultFunc({
                        id: 0,
                        n: "3G网友",
                        ti: new Date().toString("yyyy/09/23 HH:mm"),
                        c: decodeURIComponent(data && data.c),
                        u: 0,
                        d: 0
                    });
                }, 0);
            }
        }, //发表评论
        comment: function (parentId, content, func) {
            var t = this, data = { c: encodeURI(content) };
            var replyTpl = "";
            if (parentId != 0 && parentId != "0") {
                var $parent = $("#comment_" + parentId);
                if ($parent.length > 0) {
                    var parentData = $.parseJSON($parent.attr("data").replace(/#/g, "\""));
                    var r = $parent.find(".replyList");
                    var prevFloorHtml = (r.length > 0) ? r.html() : "";
                    var backToFloor = t.createFloorHtml(parentData).replace(/<%=floor%>/, prevFloorHtml);
                    replyTpl = t.replyTpl.replace(/<%=floorTpl%>/, backToFloor);
                }
            }

            t.save(parentId, parentId || 0, data, func ? function (result) {
                func(result, replyTpl);
            } : function (result) {
                if (result) {
                    var container = $(t.container), item = $(global.parseTplByFunc(t.tpl.replace(/<%=replyTpl%>/, replyTpl), result));
                    container.prepend(item.show());
                    $(".com-empty").remove();
                    global.showInfo("发表成功!");
                } else {
                    global.showInfo("对不起，发表评论失败");
                }
            }, function () { global.showInfo("对不起，发表评论失败") });
        },
        forClient: function (parent) {
            var id = parent[0].id.split("_")[1];
            if (WebApi && (WebApi.Comment0 || WebApi.Comment1)) {
                if (this.firstRecord!=3) {
                    WebApi.Comment1(id.toString(), "callComment");
                } else {
                    WebApi.Comment0(id.toString(), "callComment");
                }
            } else {
                global.showInfo("客户端尚未准备好接口WebApi.Comment");
            }
        }
    });
})();

